package de.fuberlin.wiwiss.semmf.descr;

import java.util.List;

/**
 * Each object holding cluster matching information must implement this interface,
 * in order to be compatible with the MatchingEngine.
 *  
 * @author Radoslaw Oldakowski 
 * @version 1.1
 * last modified 29.11.2006
 */
public interface ClusterMatchingDescription {

    
	/**
	 * @return the label of the this cluster.
	 */
	public String getLabel();
	
	
	/**
	 * @return weight which represents the importance of this cluster among
	 * other clusters in a GraphMatchingDescription
	 * The weight is a float number [0..1]. The sum of all cluster weights 
	 * equals 1.
	 */
	public float getWeight();
	
	
	/**
	 * @return a list of objects implementing the NodeMatchingDescription interface.
	 */	
	public List getNodeMatchingDescriptionList();

}
