package de.fuberlin.wiwiss.semmf.descr;

import java.util.List;

/**
 * Each object holding information about the matching process must implement this 
 * interface, in order to be compatible with the MatchingEngine.
 * 
 * @author Radoslaw Oldakowski 
 * @version 1.1
 * last modified 29.11.2006
 */
public interface GraphMatchingDescription {
	
	
	/**
	 * @return URL of the RDF model holding the query graph to be matched 
	 */
	public String getQueryModelURL();
	
	
	/**
	 * @return URL of the RDF model holding the resource graphs to be matched
	 */
	public String getResModelURL();	
	
	
	/**
	 * @return URI of the RDF resource, which represents the entry of the query graph
	 * 		   to be matched against resource graphs. 
	 */
	public String getQueryGraphURI();
	
	
	/**
	 * @return an RDQL path expression which will be evaluated in order to find all
	 * 		   URIs of RDF resources representing the entry of each resource graph
	 * 		   to be matched againest the query graph. 
	 */
	public String getResGraphURIpath();
	
	
	/**
	 * @return List holding ClusterMatchingDescription objects
	 */
	public List getClusterMatchingDescriptionList();
	
	
	

}
