package de.fuberlin.wiwiss.semmf.descr.impl;

import java.util.ArrayList;
import java.util.List;

import de.fuberlin.wiwiss.semmf.descr.ClusterMatchingDescription;
import de.fuberlin.wiwiss.semmf.descr.GraphMatchingDescription;


/**
 * @author Radoslaw Oldakowski 
 * @version 1.0
 * last modified 29.11.2006
 */
public class GraphMatchingDescriptionImpl implements GraphMatchingDescription {

	/**
	 * URL of the RDF model holding the query graph to be matched
	 */
	public String queryModelURL;
	
	
	/**
	 * URL of the RDF model holding all resource graphs to be matched 
	 */
	public String resModelURL;
	
	
	/**
	 * The URI of the query graph which will be matched againsed a set of 
	 * resource graphs
	 */
	public String queryGraphURI;
	
	
	/**
	 * RDQL path expression to each of the resource graphs which will be matched 
	 * againsed the query graph
	 */
	public String resGraphURIpath;
	
	
	/**
	 * A List with matching descriptions for each cluster
	 */
	private List clusterMatchingDescriptionList = new ArrayList();
	
	
	/**
	 * Adds a new ClusterMatchingDescription to the class interanal List of cmd's
	 */
	public void addClusterMatchingDescription (ClusterMatchingDescription cmd) {
	    
	    this.clusterMatchingDescriptionList.add(cmd);
	}	
	
	
	/* **********************************************************************
	 * 		 Implementation of the GraphMatchingDescription interface 
	 * **********************************************************************
	 */
	
	/**
	 * @return URL of the RDF model holding the query graph to be matched 
	 */
	public String getQueryModelURL() {
		
		return this.queryModelURL;
	}
	
	
	/**
	 * @return URL of the RDF model holding the resource graphs to be matched
	 */
	public String getResModelURL() {
		
		return this.resModelURL;
	}
	
	
	/**
	 * @return URI of the query graph 
	 */
	public String getQueryGraphURI() {
		
		return this.queryGraphURI;
	}
	
	
	/**
	 * @return RDQL path expression to all entries of resource graphs 
	 */
	public String getResGraphURIpath() {
		
		return this.resGraphURIpath;
	}
	
	
	/**
	 * @return List holding ClusterMatchingDescription objects
	 */
	public List getClusterMatchingDescriptionList() {
		
		return this.clusterMatchingDescriptionList;
	}
	
    
}
