package de.fuberlin.wiwiss.semmf.engine;


import java.util.Comparator;

import de.fuberlin.wiwiss.semmf.result.GraphMatchingResult;

/**
 * This comaprator is used by the matching engine to sort GraphMatchingResults
 * by their similarity value in a descending manner.
 * 
 * @author Radoslaw Oldakowski 
 * @version 1.1
 * last modified 29.11.2006
 */
public class GraphSimComparator implements Comparator {
	
	
	/**
	 * Implementation of the comparator abstract method
	 */
	public int compare (Object gmr1, Object gmr2) {
		
		// this ensures a sorting in a descending manner
		return ( - Float.compare(((GraphMatchingResult) gmr1).getSimilarity(),
				   			     ((GraphMatchingResult) gmr2).getSimilarity())
			   );
	}

}
