package de.fuberlin.wiwiss.semmf.engine;

import com.hp.hpl.jena.assembler.Assembler;
import com.hp.hpl.jena.assembler.assemblers.AssemblerBase;
import com.hp.hpl.jena.assembler.Mode;
import com.hp.hpl.jena.rdf.model.Literal;
import com.hp.hpl.jena.rdf.model.Resource;

import de.fuberlin.wiwiss.semmf.vocabulary.MD;

/**
 * A class reading a specification of parameters for a String Matcher provided in
 * a matching description.
 * 
 * @author Radoslaw Oldakowski 
 * @version 1.0
 * last modified 29.11.2006
 */
public class StringMatcherAssembler extends AssemblerBase {
	
	/**
	 * Overrides the open() method of AssemblerBase
	 * @param matcherNode RDFNOde inside a matching description holding matcher
	 * specification.
	 */	
	public Object open (Assembler ignore, Resource matcherNode, Mode ignore2) {
	
		// default value
		boolean caseSensitive = false;
		
		try {
			String cs = ((Literal) matcherNode.getProperty(MD.caseSensitive).getObject()).getLexicalForm();
	
			if (cs.equalsIgnoreCase("true")) {
				caseSensitive = true;
			}
		}
		catch (java.lang.NullPointerException npe) {}					

		return new StringMatcher(caseSensitive);
	}
}
