package de.fuberlin.wiwiss.semmf.result.impl;


import java.util.List;
import java.util.ArrayList;

import de.fuberlin.wiwiss.semmf.result.ClusterMatchingResult;

/**
 * @author Radoslaw Oldakowski 
 * @version 1.0
 * last modified on 29.11.2006
 */
public class ClusterMatchingResultImpl implements ClusterMatchingResult {

	
	public String label;
	public float weight;
	public float sim;
	public List nodeMatchingResultList = new ArrayList(); 
	
	/* **********************************************************************
	 * 		 Implementation of the ClusterMatchingResult interface 
	 * **********************************************************************
	 */
	
	
	/**
	 * @return the label of the cluster specified in a matching
	 * description.
	 */
	public String getLabel() {
		
		return this.label;
	}
	
	
	/**
	 * @return aggregated similarity of all nodes from a query graph inside this cluster
	 * matched against the corresponding cluster from a resource graph.  
	 */
	public float getSimilarity() {
		
		return this.sim;
	}
	
	
	/**
	 * @return weight which represents the importance of this cluster among
	 * other clusters in a GraphMatchingResult. 
	 * The weight is a float number [0..1]. The sum of all cluster weights 
	 * equals 1.
	 */
	public float getWeight() {
		
		return this.weight;
	}
	
	
	/**
	 * @return List of objects implementing the NodeMatchingResult interface.
	 * These objects hold information about the matching of RDFnodes
	 * from a query graph against RDFNodes from a resource graph
	 */	
	public List getNodeMatchingResultList() {
		
		return this.nodeMatchingResultList;
	}
}
