package de.fuberlin.wiwiss.semmf.result.impl;

import java.util.List;
import java.util.ArrayList;

import com.hp.hpl.jena.rdf.model.Resource;

import de.fuberlin.wiwiss.semmf.result.GraphMatchingResult;


/**
 * @author Radoslaw Oldakowski 
 * @version 1.0
 * last modified on 29.11.2006
 */
public class GraphMatchingResultImpl implements GraphMatchingResult {

	
	public Resource queryGraphEntryNode;
	public Resource resGraphEntryNode;
	public float sim;
	public List clusterMatchingResultList = new ArrayList();
	

	/* **********************************************************************
	 * 		 Implementation of the GraphMatchingResult interface 
	 * **********************************************************************
	 */
	
	
	/**
	 * @return Jena Resource object representing the entry of the query
	 * graph which was matched against the resource graph, which entry, in turn, 
	 * is returned by the method getResourceGraphEntry().
	 */
	public Resource getQueryGraphEntryNode() {
		
		return this.queryGraphEntryNode;
	}
	
	
	/**
	 * @return a Jena Resource object representing the entry of the resource
	 * graph which was matched against the query graph, which entry, in turn,
	 * is returned by the method getQueryGraphEntryNode().
	 */
	public Resource getResGraphEntryNode() {
		
		return this.resGraphEntryNode;
	}
	
	
	/**
	 * @return similarity between both graphs
	 */
	public float getSimilarity() {
		
		return this.sim;
	}
	
	
	/**
	 * The matching result for RDFNodes inside this cluster.
	 * @return List of objects implementing the ClusterMatchingResult interface.
	 */
	public List getClusterMatchingResultList() {
		
		return this.clusterMatchingResultList;
	}

}
