package de.fuberlin.wiwiss.semmf.result.impl;


import com.hp.hpl.jena.rdf.model.RDFNode;

import de.fuberlin.wiwiss.semmf.result.PropertyMatchingResult;

/**
 * @author Radoslaw Oldakowski 
 * @version 1.0
 * last modified on 29.11.2006
 */
public class PropertyMatchingResultImpl implements PropertyMatchingResult {

	
	public RDFNode queryPropVal;
	public RDFNode resPropVal;
	public String label;
	public float sim;
	public boolean reversed;
	public float weight;
	
	
	/* **********************************************************************
	 * 		 Implementation of the NodeMatchingResult interface 
	 * **********************************************************************
	 */
	
	
	/**
	 * @return RDFNode representing the value of a particular property from the query graph.
	 */
	public RDFNode getQueryPropVal() {
		
		return this.queryPropVal;
	}
	
	
	/**
	 * @return RDFNode representing the value of a particular property from the resource graph. 
	 */	
	public RDFNode getResPropVal() {
		
		return this.resPropVal;
	}
	
	
	/**
	 * @return label of the property
	 */
	public String getLabel() {
		
		return this.label;
	}
	
	
	/**
	 * @return similarity of both property values 
	 */	
	public float getSimilarity() {
		
		return this.sim;
	}
	
	
	/**
	 * @return true if the matching has been reversed.
	 * (=> resource and query node have been switched at similarity calculation)
	 */
	public boolean isReversed() {
		
		return this.reversed;
	}
	
	
	/**
	 * @return weight which represents the importance of this property among
	 * other properties of a single node type.  
	 * The weight is a float number [0..1]. The sum of all property weights 
	 * equals 1.
	 */	
	public float getWeight() {
		
		return this.weight;
	}
}
