package de.fuberlin.wiwiss.semmf.taxon;

/**
 * A class representing a concept from a concept hierarchy. Each concept
 * is an URI-denoted RDF-Node from an underlying taxonomy.
 * 
 * @author Radoslaw Oldakowski 
 * @version 1.3
 * last modified 29.11.2006 
 */
public class Concept {
	
	/**
	 * Concept's type (super or bottom). 
	 */
	public char type;
	
	
	/**
	 * URI of the concept
	 */
	private String URI;	
	

	/**
	 * Constructor.
	 * @param URI the URI which identifies the concept
	 */
	public Concept (String URI) {
		
		this.URI = URI;
	}


	/**
	 * @return URI of this concept
	 */
	public String getURI() {
		
		return this.URI;
	}
	
}
