package de.fuberlin.wiwiss.semmf.taxon;

/**
 * @author Radoslaw Oldakowski
 * @version 1.0
 * last modified 29.11.2006
 */
public interface MilestoneCalculator {
	
	/**
	 * The implementation of this method must return an array of 
	 * float values for all taxonomy levels starting from 0 and ending
	 * at the deepest level.
	 * @param deepestLevel index of the deepest level (= number of levels - 1) 
	 */
	public float[] calculateMilestones (int deepestLevel);

}
